- Qt 6.8
- Qt GUI
- C++ Classes
- QWaylandApplication
- Qt 6.8.1 Reference Documentation

# QWaylandApplication Struct

struct QNativeInterface::QWaylandApplication

Native interface to a Wayland application. More...

Header: | `#include <QGuiApplication>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Gui)` `target_link_libraries(mytarget PRIVATE Qt6::Gui)`
qmake: | `QT += gui`
Since: | Qt 6.5

- List of all members, including inherited members

## Public Functions

int * | compositor() const
int * | display() const
int * | keyboard() const
int * | lastInputSeat() const
virtual uint | lastInputSerial() const = 0
int * | pointer() const
int * | seat() const
int * | touch() const

## Detailed Description

Accessed through QGuiApplication::nativeInterface().

## Member Function Documentation

### int *QWaylandApplication::compositor() const

Returns the wl_compositor that the application is using.

### int *QWaylandApplication::display() const

Returns the wl_display that the application is using.

### int *QWaylandApplication::keyboard() const

Returns the wl_keyboard belonging to seat() if available.

### int *QWaylandApplication::lastInputSeat() const

Returns the seat on which the last input event happened.

### `[pure virtual]` uint QWaylandApplication::lastInputSerial() const

Returns the serial of the last input event on any seat.

### int *QWaylandApplication::pointer() const

Returns the wl_pointer belonging to seat() if available.

### int *QWaylandApplication::seat() const

Returns the seat associated with the default input device.

### int *QWaylandApplication::touch() const

Returns the wl_touch belonging to seat() if available.